<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.info.mapper.EGasMapper">

    <resultMap id="BaseResultMap" type="com.zksy.info.domain.EGas">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="company" column="company" jdbcType="VARCHAR"/>
            <result property="uniCode" column="uni_code" jdbcType="VARCHAR"/>
            <result property="tableName" column="table_name" jdbcType="VARCHAR"/>
            <result property="tableCode" column="table_code" jdbcType="VARCHAR"/>
            <result property="userInfo" column="user_info" jdbcType="VARCHAR"/>
            <result property="paymentDetail" column="payment_detail" jdbcType="VARCHAR"/>
            <result property="monthlyConsumption3" column="monthly_consumption3" jdbcType="DECIMAL"/>
            <result property="monthlyConsumption6" column="monthly_consumption6" jdbcType="DECIMAL"/>
            <result property="isInArrears" column="is_in_arrears" jdbcType="VARCHAR"/>
            <result property="entityZtlb" column="entity_ztlb" jdbcType="VARCHAR"/>
            <result property="openDate" column="open_date" jdbcType="TIMESTAMP"/>
            <result property="userAddress" column="user_address" jdbcType="VARCHAR"/>
            <result property="advanceAmount" column="advance_amount" jdbcType="VARCHAR"/>
            <result property="arrearageAmount" column="arrearage_amount" jdbcType="VARCHAR"/>
            <result property="onehouseOnemeter" column="onehouse_onemeter" jdbcType="VARCHAR"/>
            <result property="paymentPeriod" column="payment_period" jdbcType="VARCHAR"/>
            <result property="statisticalDate" column="statistical_date" jdbcType="VARCHAR"/>
            <result property="remark" column="remark" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="createBy" column="create_by" jdbcType="VARCHAR"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="updateBy" column="update_by" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,company,uni_code,
        table_name,table_code,user_info,
        payment_detail,monthly_consumption3,monthly_consumption6,
        is_in_arrears,entity_ztlb,open_date,
        user_address,advance_amount,arrearage_amount,
        onehouse_onemeter,payment_period,statistical_date,
        remark,create_time,create_by,
        update_time,update_by
    </sql>
</mapper>
